Commit Diff


commit - a1ba9650a9f0cc0d9e70800d71769d32f927b939
commit + fdd67729b45c7073be9ea1720cbadbaae8f0d112
blob - e21e2911a75903c6eadc841d78bbd0fe8ce4a89f
blob + 16f589773945b83e3fcc548f252aeebbdd29f0cb
--- regress/regress
+++ regress/regress
@@ -51,6 +51,7 @@ run_test test_require_client_ca
 run_test test_root_inside_location
 run_test test_root_inside_location_with_redirect
 run_test test_fastcgi
+run_test test_fastcgi_deprecated_syntax
 run_test test_macro_expansion
 run_test test_proxy_relay_to
 run_test test_proxy_with_certs
blob - 624b6d5fab5edfb119fc6192cad07efef42370c6
blob + e2d4a27e9a7ba3e57a83e33bab0d2f26f8ef2a25
--- regress/tests.sh
+++ regress/tests.sh
@@ -218,7 +218,7 @@ test_fastcgi() {
 	./fcgi-test fcgi.sock &
 	fcgi_pid=$!
 
-	setup_simple_test 'prefork 1' 'fastcgi "'$PWD'/fcgi.sock"'
+	setup_simple_test 'prefork 1' 'fastcgi socket "'$PWD'/fcgi.sock"'
 
 	msg=$(printf "# hello from fastcgi!\nsome more content in the page...")
 
@@ -233,7 +233,27 @@ test_fastcgi() {
 
 		i=$(($i + 1))
 	done
+
+	kill $fcgi_pid
+	return 0
+}
+
+test_fastcgi_deprecated_syntax() {
+	./fcgi-test fcgi.sock &
+	fcgi_pid=$!
+
+	# the old syntax will eventually go away, but check that the
+	# backward compatibility works.
+	setup_simple_test 'prefork 1' 'fastcgi "'$PWD'/fcgi.sock"'
 
+	msg=$(printf "# hello from fastcgi!\nsome more content in the page...")
+	fetch /
+	check_reply "20 text/gemini" "$msg"
+	if [ $? -ne 0 ]; then
+		kill $fcgi_pid
+		return 1
+	fi
+
 	kill $fcgi_pid
 	return 0
 }